ParticleAPI 3.0.0 Performant particle system API in C++ for interactive graphics

Public Member Functions | Public Attributes | List of all members
PDPoint Struct Reference

A single point. More...

`#include <pDomain.h>`

Inheritance diagram for PDPoint:

## Public Member Functions
| PDPoint (const pVec &p0)
void | PDPoint_Cons (const pVec &p0)
bool | Within (const pVec &pos) const
| Returns true if the point is exactly equal. More...
pVec | Generate () const
| Returns the point. More...
float | Size () const
| Returns the size of the domain (length, area, or volume). More...
std::shared_ptr< pDomain > | copy () const
virtual bool | Within (const pVec &) const =0
| Returns true if the given point is within the domain. More...
virtual pVec | Generate () const =0
| Returns a random point in the domain. More...
virtual float | Size () const =0
| Returns the size of the domain (length, area, or volume). More...
virtual std::shared_ptr< pDomain > | copy () const =0

## Public Attributes
pVec | p
Public Attributes inherited from pDomain
pDomainType_E | Which

## Detailed Description

A single point.

Generate always returns this point. Within returns true if the point is exactly equal.

## Constructor & Destructor Documentation

## ◆ PDPoint()

PDPoint | ( | const pVec & | p0 | ) |
| inline

## Member Function Documentation

## ◆ copy()

std::shared_ptr< pDomain > copy | ( |  | ) | const
| inlinevirtual

Implements pDomain.

## ◆ Generate()

pVec Generate | ( |  | ) | const
| inlinevirtual

Returns the point.

Implements pDomain.

## ◆ PDPoint_Cons()

void PDPoint_Cons | ( | const pVec & | p0 | ) |
| inline

## ◆ Size()

float Size | ( |  | ) | const
| inlinevirtual

Returns the size of the domain (length, area, or volume).

Implements pDomain.

## ◆ Within()

bool Within | ( | const pVec & | pos | ) | const
| inlinevirtual

Returns true if the point is exactly equal.

Implements pDomain.

## Member Data Documentation

## ◆ p

pVec p

The documentation for this struct was generated from the following file:

- pDomain.h